Skip to main content
POST
/
commerce
/
shipping
/
admin
/
carriers
/
credentials
/
{carrierId}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "carrierId": "<string>",
  "credentialSet": {
    "auditInfo": {
      "createBy": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "updateBy": "<string>",
      "updateDate": "2023-11-07T05:31:56Z"
    },
    "carrierId": "<string>",
    "code": "<string>",
    "integrationId": "<string>",
    "name": "<string>",
    "values": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  },
  "locationCode": "<string>",
  "locationGroupCode": "<string>",
  "siteId": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

carrierId
string
required

The carrier ID.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The carrier credential data.

Stores a reference to a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSet for use at different levels. Valid levels include Site, Location Group, and Location. Different levels may be used for rates versus labels. Site level is overriden by Location Group level which is overriden by Location level.

auditInfo
object
carrierId
string | null

The Carrier ID associated with this carrier credential. Usually the short name of a carrier (e.g., "FedEx").

credentialSet
object

Stores a set of carrier credential key-value pairs. Sets are stored at the tenant level and referenced by a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredential.

locationCode
string | null

The Location Code associated with this carrier credential, if any.

locationGroupCode
string | null

The Location Group Code associated with this carrier credential, if any.

siteId
integer<int32> | null

The Site ID associated with this carrier credential, if any.

Response

Success

Stores a reference to a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSet for use at different levels. Valid levels include Site, Location Group, and Location. Different levels may be used for rates versus labels. Site level is overriden by Location Group level which is overriden by Location level.

auditInfo
object
carrierId
string | null

The Carrier ID associated with this carrier credential. Usually the short name of a carrier (e.g., "FedEx").

credentialSet
object

Stores a set of carrier credential key-value pairs. Sets are stored at the tenant level and referenced by a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredential.

locationCode
string | null

The Location Code associated with this carrier credential, if any.

locationGroupCode
string | null

The Location Group Code associated with this carrier credential, if any.

siteId
integer<int32> | null

The Site ID associated with this carrier credential, if any.